<?php
/**
 * Fade in fade out rss feed
 *
 * @package 	Fade in fade out rss feed
 * @subpackage 	Fade in fade out rss feed
 * @version   	3.7
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2017 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/09/fade-in-fade-out-rss-feed-joomla-module/
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once __DIR__ . '/helper.php';

// get a parameter from the module's configuration
$fiforss_prefix = $params->get('fiforss_prefix');
$fiforss_fadein = $params->get('fiforss_fadein');
$fiforss_fade = $params->get('fiforss_fade');
$fiforss_fadestep = $params->get('fiforss_fadestep');
$fiforss_fadewait = $params->get('fiforss_fadewait');
$args['fiforss_rss'] = $params->get('fiforss_rss');

$items = modFiFoRSSHelper::getArticleList($args);

modFiFoRSSHelper::loadScripts($params);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_fade_in_fade_out_rss_feed'));
?>